package com.mp3tunes;

import com.tivo.hme.bananas.*;
import java.awt.*;

public class OboeList extends BList {
    public OboeList(BView parent, int x, int y, int width, int height, int rowHeight) {
        super(parent, x, y, width, height, rowHeight);

        setBarAndArrows(BAR_HANG, BAR_DEFAULT, "pop", "push");

        BHighlights h = getHighlights();
        h.setPageHint(H_PAGEUP,   A_RIGHT+13, A_TOP    - 25);
        h.setPageHint(H_PAGEDOWN, A_RIGHT+13, A_BOTTOM + 30);
    }

    protected void createRow(BView parent, int index) {
        BButton button = new BButton(parent, 10, 0, parent.getWidth()-40, parent.getHeight());
        // button.setBarAndArrows(BAR_DEFAULT, BAR_DEFAULT, "pop", "push", H_UP, H_DOWN, false);
        button.setResource(createText("default-24.font", Color.white, get(index).toString()));
    }

    public boolean handleKeyPress(int code, long rawcode) {
        switch(code) {
        case KEY_SELECT:
            postEvent(new BEvent.Action(this, "push"));
            return true;
        case KEY_LEFT:
            postEvent(new BEvent.Action(this, "pop"));
            return true;
        }
        return super.handleKeyPress(code, rawcode);
    }
}
