package com.mp3tunes;

import com.tivo.hme.sdk.*;
import com.tivo.hme.bananas.*;

public class OboePlayingScreen extends OboeScreen {
    int artist_id, album_id, track_id;
    String downloadURL;
    Oboe oboe;
    BApplication app;

    boolean playing = false;

    public OboePlayingScreen(BApplication app_, Oboe oboe_, String title, int artist_id_, int album_id_, int track_id_, String downloadURL_) {
        super(app_, title);

        app = app_;
        oboe = oboe_;
        artist_id = artist_id_;
        album_id = album_id_;
        track_id = track_id_;
        downloadURL = downloadURL_;
    }

    public boolean handleEnter(Object arg, boolean isReturn) {
        OboeScreen screens[];
        OboeTrack tracks[];

        Resource resource = getResource();
        if (resource != null) {
            resource.remove();
        }
        setResource(createStream(downloadURL, "audio/mpeg3", true));

        return super.handleEnter(arg, isReturn);
    }

    public boolean onSelect(int index) {
        return true;
    }
}
