package com.mp3tunes;

import com.tivo.hme.bananas.*;

public class OboeTrackScreen extends OboeScreen {
    int artist_id, album_id;
    Oboe oboe;
    BApplication app;

    boolean entered;

    public OboeTrackScreen(BApplication app_, Oboe oboe_, String title, int artist_id_, int album_id_) {
        super(app_, title);

        app = app_;
        oboe = oboe_;
        artist_id = artist_id_;
        album_id = album_id_;
    }

    public boolean handleEnter(Object arg, boolean isReturn) {
        OboeScreen screens[];
        OboeTrack tracks[];

        if(entered == true)
            return super.handleEnter(arg, isReturn);

        entered = true;

        tracks = oboe.lockerData(album_id, -1);

        screens = new OboeScreen[tracks.length];

        for(int i = 0; i < tracks.length; ++i)
            screens[i] = new OboePlayingScreen(app, oboe, tracks[i].trackTitle, artist_id, album_id, tracks[i].trackId, tracks[i].downloadURL + "&fileformat=mp3");

        drawScreens(screens);

        return super.handleEnter(arg, isReturn);
    }
}
