package com.mp3tunes;

import com.tivo.hme.bananas.*;
import java.util.*;

public class OboeAlbumScreen extends OboeScreen {
    int artist_id;
    Oboe oboe;
    BApplication app;

    boolean entered;

    public OboeAlbumScreen(BApplication app_, Oboe oboe_, String title, int artist_id_) {
        super(app_, title);

        app = app_;
        oboe = oboe_;
        artist_id = artist_id_;
    }

    public boolean handleEnter(Object arg, boolean isReturn) {
        Map albums;
        Iterator keys;
        String key;
        OboeScreen screens[];
        int count = 0;

        if(entered == true)
            return super.handleEnter(arg, isReturn);

        entered = true;

        albums = oboe.getLockerAlbums(artist_id);

        keys = albums.keySet().iterator();

        while(keys.hasNext()) {
            key = (String) keys.next();
            if(key != null)
                ++count;
        }

        screens = new OboeScreen[count];

        keys = albums.keySet().iterator();
        count = 0;

        while(keys.hasNext()) {
            key = (String) keys.next();
            if(key == null)
                continue;
            screens[count] = new OboeTrackScreen(app, oboe, key, artist_id, ((Integer) albums.get(key)).intValue());
            ++count;
        }

        drawScreens(screens);

        return super.handleEnter(arg, isReturn);
    }
}
