package com.mp3tunes;

import com.tivo.hme.bananas.*;
import java.util.*;

public class OboeArtistScreen extends OboeScreen {
    Oboe oboe;
    BApplication app;

    boolean entered = false;

    public OboeArtistScreen(BApplication app_, Oboe oboe_) {
        super(app_, "Artists");

        app = app_;
        oboe = oboe_;
    }

    public boolean handleEnter(Object arg, boolean isReturn) {
        Map artists;
        Iterator keys;
        String key;
        int count = 0;
        OboeScreen screens[];

        if(entered == true)
            return super.handleEnter(arg, isReturn);

        entered = true;

        artists = oboe.getLockerArtists();

        keys = artists.keySet().iterator();

        while(keys.hasNext()) {
            key = (String) keys.next();
            ++count;
        }

        screens = new OboeScreen[count];

        keys = artists.keySet().iterator();
        count = 0;

        while(keys.hasNext()) {
            key = (String) keys.next();
            screens[count] = new OboeAlbumScreen(app, oboe, key, ((Integer) artists.get(key)).intValue());
            ++count;
        }

        drawScreens(screens);

        return super.handleEnter(arg, isReturn);
    }
}
