package com.mp3tunes;

import java.awt.*;
import com.tivo.hme.bananas.*;

public abstract class OboeScreen extends BScreen {
    OboeList list;
    String title_g;

    public OboeScreen(BApplication app, String title_s) {
        super(app);

        BText title = new BText(getNormal(), SAFE_TITLE_H+48, SAFE_TITLE_V, (getWidth()-(SAFE_TITLE_H*2))-100, 54);
        title_g = title_s;
        title.setValue(title_g);
        title.setColor(Color.yellow);
        title.setShadow(Color.black, 3);
        title.setFlags(RSRC_VALIGN_TOP);
        title.setFont("default-48.font");
    }
    
    public void drawScreens(OboeScreen elements[]) {
         list = new OboeList(this.getNormal(), SAFE_TITLE_H+10, (getHeight()-SAFE_TITLE_V)-290, getWidth() - 100 - SAFE_TITLE_H, 280, 35);

        for(int i = 0; i < elements.length; ++i) {
            list.add(elements[i]);
        }

        setFocusDefault(list);
    }

    public String toString() {
        return title_g;
    }

    public boolean handleKeyPress(int code, long rawcode) {
        switch(code) {
        case KEY_LEFT:
            getBApp().pop();
            return true;
        }

        return super.handleKeyPress(code, rawcode);
    }

    public boolean handleAction(BView view, Object action) {
        if(action.equals("push")) {
            BScreen screen = (BScreen) (list.get(list.getFocus()));
            getBApp().push(screen, TRANSITION_LEFT);
        } else if(action.equals("pop")) {
            getBApp().pop();
            return true;
        }
        return super.handleAction(view, action);
    }
}
